precision highp float;

attribute vec3 position;
attribute vec2 uv;

uniform mat4 worldViewProjection;
// uniform vec3 cameraPositionW;
uniform mat4 worldMatrix;
// uniform float packSize;
// uniform vec3 size;
// uniform vec3 eyePositionW; // Remember that the eye position is always (0, 0, 0) when it's in viewspace 

out float vColorPixelIndex;
out vec3 vPositionW;

void main(void) {                
    vec4 worldSpaceVertex = worldMatrix * vec4(position, 1.0);
    vPositionW = worldSpaceVertex.xyz;
    vColorPixelIndex = uv.x;
    gl_Position = worldViewProjection * vec4(position, 1.0);
}